<?php
/**
 * @version    1.0
 * @package    Sparta
 * @author     Your Team <support@univertheme.com>
 * @copyright  Copyright (C) 2014 yourdomain.com. All Rights Reserved.
 * @license    GNU/GPL v2 or later http://www.gnu.org/licenses/gpl-2.0.html
 *
 */
class Sparta_Start {
	/**
	 * Variable to hold the initialization state.
	 *
	 * @var  boolean
	 */
	protected static $initialized = false;

	/**
	 * Initialize functions.
	 *
	 * @return  void
	 */
	public static function initialize() {
		if ( self::$initialized ) {
			return;
		}
		/**
         * Vendors
		*/
        Sparta_Start_Visual_Composer::initialize();
		
		/**
         * Build-in
		*/
        Sparta_Assets::initialize();

        Sparta_Helper::initialize();
        Sparta_Jetpack::initialize();
		Sparta_Template_Helper::initialize();
		Sparta_Modal::initialize();
		Sparta_MegaMenu_Manager::initialize();
		Sparta_After_Setup::initialize();
		Sparta_Woocommerce::initialize();
		
		// State that initialization completed.
		self::$initialized = true;
	}
}